[zeromq-dev] ZMQ2 and 3 in the same executable

Pieter Hintjens ph at imatix.com
Tue Jan 21 13:48:44 CET 2014


You don't need to do this; simply upgrade to libzmq/3.2 or libzmq/4.0
(recommended) where you like, and the new pieces will talk to old
pieces correctly.

On Tue, Jan 21, 2014 at 4:17 AM, Yellow Dog <yellowdog967 at gmail.com> wrote:
> Hi all,
>
> Forgive me if this has been asked before, I tried searching but didn't find
> anything.
>
> I am currently using ZMQ2 for a number of different connections to the same
> executable. I am using the acl-zmq Lisp wrapper provided by marijnh.
>
> I would like to upgrade to ZMQ3, but would prefer to do this piece by piece.
> As such, I would like to be able to have my executable talk to one component
> using ZMQ3 and keep the rest working with ZMQ2 until all components are
> migrated.
>
> I have run into a few problems which I am trying to debug, but before I
> spend much time I figured I would ask the community if it is possible to use
> libzmq2 and 3 in the same executable and if anybody is successfully doing
> so?
>
> All the best,
>
> Kevin
>
> _______________________________________________
> zeromq-dev mailing list
> zeromq-dev at lists.zeromq.org
> http://lists.zeromq.org/mailman/listinfo/zeromq-dev
>



More information about the zeromq-dev mailing list